@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  dshackle startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and DSHACKLE_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\dshackle-0.12.0-SNAPSHOT.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.5.31.jar;%APP_HOME%\lib\jackson-module-kotlin-2.11.0.jar;%APP_HOME%\lib\kotlin-reflect-1.5.31.jar;%APP_HOME%\lib\emerald-api-0.11.1.jar;%APP_HOME%\lib\grpc-protobuf-1.38.0.jar;%APP_HOME%\lib\grpc-stub-1.38.0.jar;%APP_HOME%\lib\grpc-netty-1.38.0.jar;%APP_HOME%\lib\etherjar-rpc-http-0.11.1.jar;%APP_HOME%\lib\reactor-netty-1.0.11.jar;%APP_HOME%\lib\reactor-netty-http-brave-1.0.11.jar;%APP_HOME%\lib\reactor-netty-http-1.0.11.jar;%APP_HOME%\lib\reactor-netty-core-1.0.11.jar;%APP_HOME%\lib\netty-resolver-dns-native-macos-4.1.68.Final-osx-x86_64.jar;%APP_HOME%\lib\netty-resolver-dns-4.1.70.Final.jar;%APP_HOME%\lib\netty-handler-proxy-4.1.70.Final.jar;%APP_HOME%\lib\netty-codec-http2-4.1.70.Final.jar;%APP_HOME%\lib\etherjar-rpc-ws-0.11.1.jar;%APP_HOME%\lib\netty-codec-http-4.1.70.Final.jar;%APP_HOME%\lib\lettuce-core-5.2.2.RELEASE.jar;%APP_HOME%\lib\netty-handler-4.1.70.Final.jar;%APP_HOME%\lib\netty-codec-socks-4.1.70.Final.jar;%APP_HOME%\lib\netty-codec-dns-4.1.70.Final.jar;%APP_HOME%\lib\netty-codec-4.1.70.Final.jar;%APP_HOME%\lib\netty-transport-native-epoll-4.1.68.Final-linux-x86_64.jar;%APP_HOME%\lib\netty-transport-native-unix-common-4.1.68.Final.jar;%APP_HOME%\lib\netty-transport-4.1.70.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.70.Final.jar;%APP_HOME%\lib\netty-buffer-4.1.70.Final.jar;%APP_HOME%\lib\netty-common-4.1.70.Final.jar;%APP_HOME%\lib\netty-tcnative-2.0.45.Final.jar;%APP_HOME%\lib\netty-tcnative-boringssl-static-2.0.45.Final.jar;%APP_HOME%\lib\spring-boot-starter-2.5.6.jar;%APP_HOME%\lib\spring-security-web-5.5.3.jar;%APP_HOME%\lib\spring-security-config-5.5.3.jar;%APP_HOME%\lib\spring-security-core-5.5.3.jar;%APP_HOME%\lib\reactor-extra-3.4.5.jar;%APP_HOME%\lib\reactor-kotlin-extensions-1.1.4.jar;%APP_HOME%\lib\etherjar-erc20-0.11.1.jar;%APP_HOME%\lib\etherjar-contract-0.11.1.jar;%APP_HOME%\lib\etherjar-rpc-api-0.11.1.jar;%APP_HOME%\lib\reactor-core-3.4.10.jar;%APP_HOME%\lib\reactor-grpc-stub-1.2.0.jar;%APP_HOME%\lib\micrometer-registry-prometheus-1.5.6.jar;%APP_HOME%\lib\etherjar-tx-0.11.1.jar;%APP_HOME%\lib\etherjar-abi-0.11.1.jar;%APP_HOME%\lib\etherjar-domain-0.11.1.jar;%APP_HOME%\lib\etherjar-hex-0.11.1.jar;%APP_HOME%\lib\bitcoinj-core-0.15.8.jar;%APP_HOME%\lib\snakeyaml-1.28.jar;%APP_HOME%\lib\httpmime-4.5.8.jar;%APP_HOME%\lib\httpclient-4.5.8.jar;%APP_HOME%\lib\jackson-datatype-jdk8-2.11.0.jar;%APP_HOME%\lib\jackson-datatype-jsr310-2.11.0.jar;%APP_HOME%\lib\jackson-databind-2.11.0.jar;%APP_HOME%\lib\jackson-core-2.11.0.jar;%APP_HOME%\lib\commons-io-2.6.jar;%APP_HOME%\lib\commons-lang3-3.9.jar;%APP_HOME%\lib\commons-collections4-4.3.jar;%APP_HOME%\lib\bcprov-jdk15on-1.61.jar;%APP_HOME%\lib\caffeine-2.8.5.jar;%APP_HOME%\lib\reactive-grpc-common-1.2.0.jar;%APP_HOME%\lib\javax.annotation-api-1.3.2.jar;%APP_HOME%\lib\jul-to-slf4j-1.7.32.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.32.jar;%APP_HOME%\lib\log4j-slf4j-impl-2.17.0.jar;%APP_HOME%\lib\slf4j-api-1.7.32.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.5.31.jar;%APP_HOME%\lib\kotlin-stdlib-1.5.31.jar;%APP_HOME%\lib\grpc-protobuf-lite-1.38.0.jar;%APP_HOME%\lib\grpc-core-1.38.0.jar;%APP_HOME%\lib\grpc-api-1.38.0.jar;%APP_HOME%\lib\guava-30.1-android.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\protobuf-java-3.12.0.jar;%APP_HOME%\lib\proto-google-common-protos-2.0.1.jar;%APP_HOME%\lib\error_prone_annotations-2.4.0.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.19.jar;%APP_HOME%\lib\perfmark-api-0.23.0.jar;%APP_HOME%\lib\spring-boot-autoconfigure-2.5.6.jar;%APP_HOME%\lib\spring-boot-2.5.6.jar;%APP_HOME%\lib\jakarta.annotation-api-1.3.5.jar;%APP_HOME%\lib\spring-web-5.3.11.jar;%APP_HOME%\lib\spring-context-5.3.12.jar;%APP_HOME%\lib\spring-aop-5.3.12.jar;%APP_HOME%\lib\spring-beans-5.3.12.jar;%APP_HOME%\lib\spring-expression-5.3.12.jar;%APP_HOME%\lib\spring-core-5.3.12.jar;%APP_HOME%\lib\spring-security-crypto-5.5.3.jar;%APP_HOME%\lib\reactive-streams-1.0.3.jar;%APP_HOME%\lib\micrometer-core-1.5.6.jar;%APP_HOME%\lib\simpleclient_common-0.8.1.jar;%APP_HOME%\lib\etherjar-rlp-0.11.1.jar;%APP_HOME%\lib\bcprov-jdk15to18-1.63.jar;%APP_HOME%\lib\okhttp-3.12.8.jar;%APP_HOME%\lib\jcip-annotations-1.0.jar;%APP_HOME%\lib\httpcore-4.4.11.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\commons-codec-1.11.jar;%APP_HOME%\lib\jackson-annotations-2.11.0.jar;%APP_HOME%\lib\checker-qual-3.4.1.jar;%APP_HOME%\lib\log4j-core-2.17.0.jar;%APP_HOME%\lib\log4j-api-2.17.0.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.5.31.jar;%APP_HOME%\lib\grpc-context-1.38.0.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\checker-compat-qual-2.5.5.jar;%APP_HOME%\lib\j2objc-annotations-1.3.jar;%APP_HOME%\lib\gson-2.8.6.jar;%APP_HOME%\lib\annotations-4.1.1.4.jar;%APP_HOME%\lib\spring-jcl-5.3.12.jar;%APP_HOME%\lib\brave-instrumentation-http-5.13.3.jar;%APP_HOME%\lib\HdrHistogram-2.1.12.jar;%APP_HOME%\lib\LatencyUtils-2.0.3.jar;%APP_HOME%\lib\simpleclient-0.8.1.jar;%APP_HOME%\lib\okio-1.15.0.jar;%APP_HOME%\lib\brave-5.13.3.jar;%APP_HOME%\lib\zipkin-reporter-brave-2.16.3.jar;%APP_HOME%\lib\zipkin-reporter-2.16.3.jar;%APP_HOME%\lib\zipkin-2.23.2.jar


@rem Execute dshackle
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %DSHACKLE_OPTS%  -classpath "%CLASSPATH%" io.emeraldpay.dshackle.StarterKt %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable DSHACKLE_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%DSHACKLE_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
